//
//  OcrPlatformViewFactory.m
//  ocr_plugin_flutter
//
//  Created by 罗礼豪 on 2023/4/11.
//

#import "OcrPlatformViewFactory.h"

@implementation OcrPlatformViewFactory

+ (OcrPlatformViewFactory *)sharedInstance {
    static dispatch_once_t onceToken = 0;
    static OcrPlatformViewFactory *sharedObject = nil;
    dispatch_once(&onceToken, ^{
        sharedObject = [[OcrPlatformViewFactory alloc] init];
    });
    
    return sharedObject;
}

//设置参数的编码方式
-(NSObject<FlutterMessageCodec> *)createArgsCodec{
    return [FlutterStandardMessageCodec sharedInstance];
}

- (NSObject <FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id _Nullable)args {
    self.myPlatformViewObject = [[OcrPlatformViewObject alloc] initWithFrame:frame viewId:viewId args:args];
    return self.myPlatformViewObject;
}

@end
