import 'package:flutter/services.dart';

import 'ocr_plugin_flutter_platform_interface.dart';

class OcrPluginFlutter {

  static const MethodChannel methodChannel =
      MethodChannel('ocr_plugin_flutter');

  Future<String?> getPlatformVersion() {
    return OcrPluginFlutterPlatform.instance.getPlatformVersion();
  }

  void init(String businessID, int timeout, [bool? isDebug]) {
    var param = {
      "businessID": businessID,
      "timeout": timeout,
      "is_debug": isDebug
    };
    methodChannel.invokeMethod("init", param);
  }

  void setScanType(int scanType) {
    var param = {"scanType": scanType};
    methodChannel.invokeMethod("setScanType", param);
  }

  void startScanner() {
    methodChannel.invokeMethod("startScanner");
  }

  void stopScanner() {
    methodChannel.invokeMethod("stopScanner");
  }

  void destroy() {
    methodChannel.invokeMethod("destroy");
  }
}
