import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'ocr_plugin_flutter_platform_interface.dart';

/// An implementation of [OcrPluginFlutterPlatform] that uses method channels.
class MethodChannelOcrPluginFlutter extends OcrPluginFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('ocr_plugin_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
