import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'ocr_plugin_flutter_method_channel.dart';

abstract class OcrPluginFlutterPlatform extends PlatformInterface {
  /// Constructs a OcrPluginFlutterPlatform.
  OcrPluginFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static OcrPluginFlutterPlatform _instance = MethodChannelOcrPluginFlutter();

  /// The default instance of [OcrPluginFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelOcrPluginFlutter].
  static OcrPluginFlutterPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [OcrPluginFlutterPlatform] when
  /// they register themselves.
  static set instance(OcrPluginFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
