import 'package:flutter_test/flutter_test.dart';
import 'package:ocr_plugin_flutter/ocr_plugin_flutter.dart';
import 'package:ocr_plugin_flutter/ocr_plugin_flutter_platform_interface.dart';
import 'package:ocr_plugin_flutter/ocr_plugin_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockOcrPluginFlutterPlatform 
    with MockPlatformInterfaceMixin
    implements OcrPluginFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final OcrPluginFlutterPlatform initialPlatform = OcrPluginFlutterPlatform.instance;

  test('$MethodChannelOcrPluginFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelOcrPluginFlutter>());
  });

  test('getPlatformVersion', () async {
    OcrPluginFlutter ocrPluginFlutterPlugin = OcrPluginFlutter();
    MockOcrPluginFlutterPlatform fakePlatform = MockOcrPluginFlutterPlatform();
    OcrPluginFlutterPlatform.instance = fakePlatform;
  
    expect(await ocrPluginFlutterPlugin.getPlatformVersion(), '42');
  });
}
